add_subdirectory(event)

SET(HDRS
	${HDRS}
	${CMAKE_CURRENT_SOURCE_DIR}/Event.h
	${CMAKE_CURRENT_SOURCE_DIR}/EventHandler.h
	${CMAKE_CURRENT_SOURCE_DIR}/EventHandlerBase.h
	${CMAKE_CURRENT_SOURCE_DIR}/EventManager.h
	PARENT_SCOPE
)

SET(SRCS
	${SRCS}
	${CMAKE_CURRENT_SOURCE_DIR}/EventHandlerBase.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/EventManager.cpp
	PARENT_SCOPE
)

SET(LIB_INCLUDE_PATH
	${LIB_INCLUDE_PATH}
	${CMAKE_CURRENT_SOURCE_DIR}
	PARENT_SCOPE
)
